window.onload = new function(){
    init();
}
function toast(msg){
    Android.showToast(msg);
}
var chart;
function init() {
    var chartDoc = document.getElementById('chart');
    var height = window.innerHeight;
    var width = window.innerWidth;

    chartDoc.style.width = width + 'px';
    chartDoc.style.height = height + 'px';
    chart = echarts.init(chartDoc);
    chart.clear();
    chart.showLoading({
        text: ""
    });
}

function randomData() {
    return Math.round(Math.random()*1000);
}

function loadParams(params) {
var object = JSON.parse(params);
var option = {
            backgroundColor: object.uiConfig.backgroundColor,
            grid: [{
            top:object.uiConfig.grid.top+10,
            left:object.uiConfig.grid.left,
            right:object.uiConfig.grid.right,
            bottom:object.uiConfig.grid.bottom
            }],
            tooltip: {
                show: object.uiConfig.tooltipShow,
                position: function(point, params, dom, rect, size){
                        //其中point为当前鼠标的位置，size中有两个属性：viewSize和contentSize，分别为外层div和tooltip提示框的大小
                        var x = point[0];//
                        var y = point[1];
                        var viewWidth = size.viewSize[0];
                        var viewHeight = size.viewSize[1];
                        var boxWidth = size.contentSize[0];
                        var boxHeight = size.contentSize[1];
                        var posX = 0;//x坐标位置
                        var posY = 0;//y坐标位置

                        if(x<boxWidth){//左边放不开
                            posX = 5;
                        }else{//左边放的下
                            posX = x-boxWidth;
                        }

                        if(y<boxHeight){//上边放不开
                            posY = 5;
                        }else{//上边放得下
                            posY = y-boxHeight;
                        }

                        return [posX,posY];

                 },
                trigger: 'axis',
                axisPointer: {
                    type: 'cross',
                    crossStyle: {
                        color: '#999'
                    }
                }
            },

            legend: {
                show: true,
                top:10,
                left:object.uiConfig.grid.legendLeft==0?15:object.uiConfig.grid.legendLeft,
                data:object.title,
                itemWidth: 12,  // 设置宽度
        　　    itemHeight: 12, // 设置高度
                textStyle:{
                    fontSize:10,
                    color:'#999999'
                }
            },
            xAxis: [
                {
                    type: 'category',
                    //设置轴线的属性
                    axisLine:{
                        lineStyle:{
                            color:'#DCDCDC',
                        }
                    } ,
                    data: object.xAxisData,
                    axisPointer: {
                        type: 'shadow'
                    },
                    axisLabel: {
                        textStyle: {
                          fontSize:'10',
                          color:'#999999'
                        }
                    }
                }
            ],
            yAxis: [
                {
                    type: 'value',
                      min: '0',
                      minInterval: 1,
                    //设置轴线的属性
                    axisLine:{
                        lineStyle:{
                            color:'#DCDCDC',
                        },
//                        symbol:['none','arrow']
                    } ,
                    // 控制网格线是否显示
                     splitLine: {
                             show: false,   // 网格线是否显示
                             //  改变样式
                             lineStyle: {
                                 color: '#eee'   // 修改网格线颜色
                             }
                     },
                    axisLabel: {
                        textStyle: {
                          fontSize:'10',
                          color:'#999999'
                        },
                        formatter: '{value} '+(object.formatterLeft==null?"":object.formatterLeft)
                    }
                },
                {
                    type: 'value',
                    min: '0',
                    //设置轴线的属性
                    axisLine:{
                        lineStyle:{
                            color:'#DCDCDC',
                        },
                    } ,
                    // 控制网格线是否显示
                     splitLine: {
                             show: false,   // 网格线是否显示
                             //  改变样式
                             lineStyle: {
                                 color: '#999'   // 修改网格线颜色
                             }
                     },
                    axisLabel: {
                        textStyle:{
                        fontSize:'10',
                        color:'#999999'
                        },
                        formatter: '{value}'+(object.formatterRight==null?"":object.formatterRight)
                    }
                }
            ],
            dataZoom:[{
                type: 'inside',
                realtime: true,
                start: 0,
                end: (object.uiConfig.maxColumns==0 || object.xAxisData==null || object.xAxisData.length==0)?100:object.uiConfig.maxColumns*100/object.xAxisData.length
               }],
            series: object.lineData != null && object.lineData.length > 0?
                object.title.length == 4?[
                     {
                         name:object.title[0],
                         type:'bar',
                         color:object.uiConfig.originBarColor,
                         // 设置柱状图圆角
     //                    itemStyle: {
     //
     //                                    normal: {
     //                                        barBorderRadius: [10,10,0,0]
     //                                    },
     //                                    emphasis: {
     //                                        barBorderRadius: [10,10,0,0]
     //                                    }
     //                                },
                         data:object.y1data
                     },

                     {
                         name:object.title[1],
                         type:'bar',
                         color:object.uiConfig.comparisonBarColor,
                         data:object.y2data
                     },
                  {
                    name:object.title[2],
                    type:'bar',
                    color:object.uiConfig.comparisonBar2Color,
                    data:object.y3data
                },{
                 name:object.title[3],
                 type:'line',
                 color:object.uiConfig.pointLineColor,
                 smooth:'true', // true让曲线平滑
//                    symbol:'none', // 去点
                 yAxisIndex: 1,
                 areaStyle: {
                     normal:{
                         color:'rgba(134,140,238,0.1)'
                     }
                 },
                 data:object.lineData
             }
                 ] : [
                {
                    name:object.title[0],
                    type:'bar',
                    color:object.uiConfig.originBarColor,
                    data:object.y1data
                },
                {
                    name:object.title[1],
                    type:'bar',
                    color:object.uiConfig.comparisonBarColor,
                    data:object.y2data
                },
                {
                    name:object.title[2],
                    type:'line',
                    color:object.uiConfig.pointLineColor,
                    smooth:'true', // true让曲线平滑
//                    symbol:'none', // 去点
                    yAxisIndex: 1,
                    areaStyle: {
                        normal:{
                            color:'rgba(134,140,238,0.1)'
                        }
                    },
                    data:object.lineData
                }
            ] : object.title.length == 3?[
                                     {
                                         name:object.title[0],
                                         type:'bar',
                                         color:object.uiConfig.originBarColor,
                                         data:object.y1data
                                     },

                                     {
                                         name:object.title[1],
                                         type:'bar',
                                         color:object.uiConfig.comparisonBarColor,
                                         data:object.y2data
                                     },
                                  {
                                    name:object.title[2],
                                    type:'bar',
                                    color:object.uiConfig.comparisonBar2Color,
                                    data:object.y3data
                                }] : [
                                {
                                    name:object.title[0],
                                    type:'bar',
                                    color:object.uiConfig.originBarColor,
                                    data:object.y1data
                                },
                                {
                                    name:object.title[1],
                                    type:'bar',
                                    color:object.uiConfig.comparisonBarColor,
                                    data:object.y2data
                                }
                            ]
        };

    chart.hideLoading();
    chart.setOption(option);
}
