

//$(function() {
//    init();
//});
window.onload = new function(){
    init();
}
function toast(msg){
    Android.showToast(msg);
}
var chart;
function init() {
    var chartDoc = document.getElementById('chart');
    var height = window.innerHeight;
    var width = window.innerWidth;
//    $(chartDoc).css('height', height);

    chartDoc.style.width = width + 'px';
    chartDoc.style.height = height + 'px';
    chart = echarts.init(chartDoc);
    chart.clear();
    chart.showLoading({
        text: ""
    });
}

function randomData() {
    return Math.round(Math.random()*1000);
}

function loadParams(params) {
var object = JSON.parse(params);
var option = {
            backgroundColor: object.uiConfig.backgroundColor,
            grid: [{
            top:object.uiConfig.grid.top,
            left:object.uiConfig.grid.left,
            right:object.uiConfig.grid.right,
            bottom:object.uiConfig.grid.bottom
            }],
            tooltip: {
                show: object.uiConfig.tooltipShow,
                trigger: 'axis',
                axisPointer: {
                    type: 'cross',
                    crossStyle: {
                        color: '#999'
                    }
                }
            },

            legend: {
                show: true,
                left:object.uiConfig.grid.left,
                data:object.title
            },
            xAxis: [
                {
                    type: 'category',
                    data: object.xAxisData,
                    axisPointer: {
                        type: 'shadow'
                    },
                    axisLabel: {
                        textStyle: {
                          fontSize:'8',
                          fontWeight:'bold'
                        }
                    }
                }
            ],
            yAxis: [
                {
                    type: 'value',
//                    name: object.num.name,
                      min: '0',
//                    max: object.num.max,
//                    interval: object.num.interval,
                    // 控制网格线是否显示
                     splitLine: {
                             show: false,   // 网格线是否显示
                             //  改变样式
                             lineStyle: {
                                 color: '#eee'   // 修改网格线颜色
                             }
                     },
                    axisLabel: {
                        textStyle: {
                          fontSize:'8',
                          fontWeight:'bold'
                        },
                        formatter: '{value} '+(object.formatterLeft==null?"":object.formatterLeft)
                    }
                },
                {
                    type: 'value',
//                    name: object.completion.name,
                    min: '0',
//                    max: object.completion.max,
//                    interval: 10,
                    axisLabel: {
                        textStyle:{
                        fontSize:'8',
                        fontWeight:'bold'
                        },
//                        // 控制网格线是否显示
//                         splitLine: {
//                                 show: true,   // 网格线是否显示
//                                 //  改变样式
//                                 lineStyle: {
//                                     color: '#999'   // 修改网格线颜色
//                                 }
//                         },
                        formatter: '{value}'+(object.formatterRight==null?"":object.formatterRight)
                    }
                }
            ],
            series: [
                {
                    name:'目标',
                    type:'bar',
                    color:object.uiConfig.originBarColor,
                    data:object.y1data
                },
                {
                    name:'达成',
                    type:'bar',
                    color:object.uiConfig.comparisonBarColor,
                    data:object.y2data
                },
                {
                    name:'完成率',
                    type:'line',
                    color:object.uiConfig.pointLineColor,
                    smooth:'true', // true让曲线平滑
//                    symbol:'none', // 去点
                    yAxisIndex: 1,
                    data:object.y3data
                }
            ]
        };

    chart.hideLoading();
    chart.setOption(option);
}
